org.jbpm.process.audit

## Class VariableInstanceLog_

- java.lang.Object
- - org.jbpm.process.audit.VariableInstanceLog_

-     @Generated(value="org.hibernate.jpamodelgen.JPAMetaModelEntityProcessor")
      public abstract class VariableInstanceLog_
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,Date>` | `date`
    `static String` | `DATE`
    `static String` | `EXTERNAL_ID`
    `static javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,String>` | `externalId`
    `static javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,Long>` | `id`
    `static String` | `ID`
    `static String` | `OLD_VALUE`
    `static javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,String>` | `oldValue`
    `static String` | `PROCESS_ID`
    `static String` | `PROCESS_INSTANCE_ID`
    `static javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,String>` | `processId`
    `static javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,Long>` | `processInstanceId`
    `static javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,String>` | `value`
    `static String` | `VALUE`
    `static String` | `VARIABLE_ID`
    `static String` | `VARIABLE_INSTANCE_ID`
    `static javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,String>` | `variableId`
    `static javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,String>` | `variableInstanceId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VariableInstanceLog_()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### date

          public static volatile javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,Date> date

    - #### processInstanceId

          public static volatile javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,Long> processInstanceId

    - #### processId

          public static volatile javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,String> processId

    - #### externalId

          public static volatile javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,String> externalId

    - #### id

          public static volatile javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,Long> id

    - #### oldValue

          public static volatile javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,String> oldValue

    - #### variableId

          public static volatile javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,String> variableId

    - #### value

          public static volatile javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,String> value

    - #### variableInstanceId

          public static volatile javax.persistence.metamodel.SingularAttribute<VariableInstanceLog,String> variableInstanceId

    - #### DATE

          public static final String DATE

      See Also:
        Constant Field Values

    - #### PROCESS_INSTANCE_ID

          public static final String PROCESS_INSTANCE_ID

      See Also:
        Constant Field Values

    - #### PROCESS_ID

          public static final String PROCESS_ID

      See Also:
        Constant Field Values

    - #### EXTERNAL_ID

          public static final String EXTERNAL_ID

      See Also:
        Constant Field Values

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

    - #### OLD_VALUE

          public static final String OLD_VALUE

      See Also:
        Constant Field Values

    - #### VARIABLE_ID

          public static final String VARIABLE_ID

      See Also:
        Constant Field Values

    - #### VALUE

          public static final String VALUE

      See Also:
        Constant Field Values

    - #### VARIABLE_INSTANCE_ID

          public static final String VARIABLE_INSTANCE_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### VariableInstanceLog_

          public VariableInstanceLog_()

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.